Page MenuHomePhabricator

TimedMediaHandler unit tests are failing with current mediawiki/core
Closed, ResolvedPublic

Description

Jenkins console output

I found out unit tests are not being run by Jenkins for TimedMediaHandler. The reason was that, once upon a time, we were not able to declare the dependency upon extension MwEmbedSupport.

I have configured the Jenkins job https://integration.wikimedia.org/ci/job/mwext-TimedMediaHandler-testextensions-master/ to grab MwEmbedSupport with https://gerrit.wikimedia.org/r/115248

I ran dummy test using the master branch and they are failing:

https://integration.wikimedia.org/ci/job/mwext-TimedMediaHandler-testextensions-master/1/testReport/?

I will add the job to Zuul as a non voter. Whenever the tests are passing again we can make them voting in Zuul.


Version: master
Severity: normal

Attached:

Details

Reference
bz61875

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:52 AM
bzimport set Reference to bz61875.

Change 115249 had a related patch set uploaded by Hashar:
Unit tests for TimedMediaHandler (non voting)

https://gerrit.wikimedia.org/r/115249

Change 115249 merged by jenkins-bot:
Unit tests for TimedMediaHandler (non voting)

https://gerrit.wikimedia.org/r/115249

Change 115272 had a related patch set uploaded by Hashar:
flag API tests with @medium

https://gerrit.wikimedia.org/r/115272

Change 115272 merged by jenkins-bot:
flag API tests with @medium

https://gerrit.wikimedia.org/r/115272

Change 115305 had a related patch set uploaded by Hashar:
mwext-TimedMediaHandler-testextensions-master is now voting

https://gerrit.wikimedia.org/r/115305

Change 115305 merged by jenkins-bot:
mwext-TimedMediaHandler-testextensions-master is now voting

https://gerrit.wikimedia.org/r/115305

All 3 patches merged; resetting ticket status

Gilles closed this task as Resolved.Nov 24 2014, 2:31 PM
Gilles claimed this task.
Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 21 2015, 8:29 PM